using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace Assets.Source.Core.Gameplay.Topdown
{
    public class PlayerInventory : MonoBehaviour
    {

        private List<InventoryItem> items;

        public event System.Action<InventoryItem> OnItemAdded;

        public void AddItem(InventoryItem item)
        {
            items.Add(item);
            OnItemAdded?.Invoke(item);
        }
    }
}